=== debian/changelog ===
bespin (0.r1552+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Use a version number that is compatible with 3.0 (native) (Closes: 724180)
  * Rebuild for new kde-workspace

 -- Peter Michael Green <plugwash@debian.org>  Wed, 27 Nov 2013 01:13:06 +0000

bespin (0.r1552-1) unstable; urgency=low

  * New release SVN@1552 
  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 24 Jun 2012 15:40:58 +0530

bespin (0.r1501-1) experimental; urgency=low

  * Initial release SVN@1501 (Closes: #651091)
  * Fix debian/copyright with license details 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 May 2012 09:54:57 +0530
