=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS
export install_dir="debian/kde-style-bespin"

%:
	dh $@ --parallel


override_dh_auto_configure:
	test -d build || mkdir build
	cd build && ln -sf ../debian && cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` -DCMAKE_BUILD_TYPE=Release ..

override_dh_auto_build:
	test -d build || exit 1
	cd build; $(MAKE)

	cd ksplash/bespin; ./generate.sh 1024 768; ./generate.sh 1280 1024; ./generate.sh 1366 768; \
	./generate.sh 1440 900; ./generate.sh 1600 1200; ./generate.sh 1920 1080;

	cd ksplash/aperture; ./generate.sh 1024 768; ./generate.sh 1280 1024; ./generate.sh 1366 768; \
	./generate.sh 1440 900; ./generate.sh 1600 1200; ./generate.sh 1920 1080;

	cd ksplash/tibanna; ./generate.sh 1024 768; ./generate.sh 1280 1024; ./generate.sh 1366 768; \
	./generate.sh 1440 900; ./generate.sh 1600 1200; ./generate.sh 1920 1080;

override_dh_auto_install:
	test -d build || exit 1
	cd build; $(MAKE) DESTDIR=$(install_dir) install
	install -D -m 0644 debian/bespin.lintian $(install_dir)/usr/share/lintian/overrides/bespin
