## bespin 0.r1552+nmu1build1

=== debian/changelog ===
bespin (0.r1552+nmu1build1) utopic; urgency=medium

  * No change rebuild for new kde-workspace

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2014 08:58:46 -0400
